org.gradle.nativebinaries

## Interface BuildTypeContainer

- All Superinterfaces:
    Collection<BuildType>, org.gradle.util.Configurable<NamedDomainObjectContainer<BuildType>>, DomainObjectCollection<BuildType>, Iterable<BuildType>, NamedDomainObjectCollection<BuildType>, NamedDomainObjectContainer<BuildType>, NamedDomainObjectSet<BuildType>, Set<BuildType>

      @Incubating
      public interface BuildTypeContainer
      extends NamedDomainObjectContainer<BuildType>

  A container of native executables.

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`